1. VectorLinux Core
  2. vabs

Commits

stretchedthin  committed 22a0548

liblastfm

  • Participants
  • Parent commits 52c3e28
  • Branches veclinux-7.0

Comments (0)

Files changed (3)

File var/vabs/liblastfm/1.0.3/src/liblastfm.SlackBuild

View file
  • Ignore whitespace
+#!/usr/bin/bash
+# This script assumes it will be launched within "/NAME/VERSION/src" dir.
+# With all sources in "src" Your Vector Linux .txz package, slack-desc,
+# and slack-required will be found in "VERSION" dir. The extraction and
+# build will be in a temp dir created in "NAME" dir, and then removed on exit.
+# Comment out second to last line to keep this dir intact.
+#
+# This Template was compiled from the contributions of many users of the Vector
+# Linux forum at http://forum.vectorlinux.com and from tidbits collected 
+# from all over the internet. 
+#
+# Generated by sbbuilder-0.4.14.1, written by Rodrigo Bistolfi 
+# (rbistolfi) and Raimon Grau Cuscó (Kidd) for VectorLinux.
+#
+# Please put your name below if you add some original scripting lines.
+# AUTHORS = 
+
+NAME="liblastfm"            #Enter package Name!
+VERSION=${VERSION:-"1.0.3"}      #Enter package Version!
+VER=$(echo $VERSION|sed 's/-/_/') #this fixes - in version
+VL_PACKAGER=${VL_PACKAGER:-"stretchedthin"}   #Enter your Name!
+LINK=${LINK:-"http://ftp.de.debian.org/debian/pool/main/libl/$NAME/$NAME_$VERSION.orig.tar.gz"}  #Enter URL for package here!
+
+
+#SYSTEM VARIABLES
+#----------------------------------------------------------------------------
+BUILDNUM=${BUILDNUM:-"1"}
+VL_VERSION=${VL_VERSION:-"$(ls /var/log/packages/|grep vlconfig2|cut -d "-" -f4|cut -c 2-5)"}
+BUILD=${BUILD:-"$BUILDNUM""$VL_VERSION"}
+ARCH=${ARCH:-"$(uname -m)"}
+CONFIG_OPTIONS=${CONFIG_OPTIONS:-""}
+LDFLAG_OPTIONS=${LDFLAG_OPTIONS:-""}
+ADDRB=${ADDRB:-""} #Add deps that need to be added to the slack-required file here
+EXRB=${EXRB:-""} #Add deps that need to be excluded from the slack-required file here
+MAKEDEPENDS=${MAKEDEPENDS:-""} #Add deps needed TO BUILD this package here.
+#----------------------------------------------------------------------------
+
+# DO NOT EXECUTE if NORUN is set to 1
+if [ "$NORUN" != "1" ]; then
+
+#SETUP PACKAGING ENVIRONMENT
+#--------------------------------------------
+CWD=$(pwd)
+cd ../
+RELEASEDIR=$(pwd)
+cd $CWD
+mkdir -p $RELEASEDIR/tmp
+TMP=$RELEASEDIR/tmp
+PKG=$TMP/package-$NAME
+#--------------------------------------------
+
+
+
+if [ $UID != 0 ]; then
+   echo "You are not authorized to run this script. Please login as root"
+   exit 1
+fi
+
+if [ ! -x /usr/bin/requiredbuilder ]; then
+   echo "Requiredbuilder not installed, or not executable."
+   exit 1
+fi
+
+if [ $VL_PACKAGER = "YOURNAME" ]; then
+   echo 'Who are you?
+   Please edit VL_PACKAGER=${VL_PACKAGER:-YOURNAME} in this script.
+   Change the word "YOURNAME" to your VectorLinux packager name.
+   You may also export VL_PACKAGER, or call this script with
+   VL_PACKAGER="YOUR NAME HERE"'
+   exit 1
+fi
+
+
+#CFLAGS SETUP
+#--------------------------------------------
+if [[ "$ARCH" = i?86 ]]; then
+  ARCH=i586
+  SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+  CONFIGURE_TRIPLET="i486-slackware-linux"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+  SLKCFLAGS="-O2 -fpic"
+  CONFIGURE_TRIPLET="x86_64-slackware-linux"
+  LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "powerpc" ]; then
+  SLKCFLAGS="-O2"
+  CONFIGURE_TRIPLET="powerpc-vlocity-linux"
+  LIBDIRSUFFIX=""
+fi
+
+export CFLAGS="$SLKCFLAGS $CFLAG_OPTIONS"
+export CXXFLAGS=$CFLAGS
+export LDFLAGS="$LDFLAGS $LDFLAG_OPTIONS"
+#--------------------------------------------
+
+
+#GET THE SOURCE
+#--------------------------------------------
+for SRC in $(echo $LINK);do
+if [ ! -f $CWD/$(basename $SRC) ]
+then
+        wget --no-check-certificate -c $SRC
+fi
+done
+#--------------------------------------------
+
+
+rm -rf $PKG
+cd $TMP
+rm -rf $NAME-$VERSION
+
+
+#EXTRACT SOURCES
+#-----------------------------------------------------
+echo "Extracting source..."
+tar xvf $CWD/$NAME-$VERSION.tar.* || exit 1
+#this moves whatever was extracted to the std dirname we are expecting
+mv * $NAME-$VERSION &> /dev/null 2>&1
+mkdir -p $PKG
+#-----------------------------------------------------
+
+
+cd $TMP/$NAME-$VERSION
+
+
+#PATCHES
+#-----------------------------------------------------
+# Put any Patches here *NOTE this only works if all 
+# your patches use the -p1 strip option!
+#-----------------------------------------------------
+for i in $CWD/patches/*;do
+  patch -p1 <$i
+  mkdir -p $PKG/usr/doc/$NAME-$VERSION/patches/
+  cp $i $PKG/usr/doc/$NAME-$VERSION/patches/
+done
+#-----------------------------------------------------
+ 
+ 
+
+#SET PERMISSIONS
+#-----------------------------------------
+echo "Setting permissions..."
+chown -R root:root .
+find . -perm 664 -exec chmod 644 {} \;
+find . -perm 777 -exec chmod 755 {} \;
+find . -perm 2777 -exec chmod 755 {} \;
+find . -perm 775 -exec chmod 755 {} \;
+find . -perm 2755 -exec chmod 755 {} \;
+find . -perm 774 -exec chmod 644 {} \;
+find . -perm 666 -exec chmod 644 {} \;
+find . -perm 600 -exec chmod 644 {} \;
+find . -perm 444 -exec chmod 644 {} \;
+find . -perm 400 -exec chmod 644 {} \;
+find . -perm 440 -exec chmod 644 {} \;
+find . -perm 511 -exec chmod 755 {} \;
+find . -perm 711 -exec chmod 755 {} \;
+find . -perm 555 -exec chmod 755 {} \;
+#-----------------------------------------
+
+
+
+#CONFIGURE & MAKE
+#----------------------------------------------------------------------
+# If you are building a KDE-related app, then change the following
+# arguments in the script below:
+# --prefix=$(kde-config -prefix) \\
+# --sysconfdir=/etc/kde \\
+#
+# Making these changes will ensure that your package will build in the
+# correct path and that it will work seamlessly within the KDE environment.
+#
+#-----------------------------------------------------------------------
+
+echo "Configuring source..."
+
+#mkdir -p build
+#cd build || exit 1
+
+# Build
+cmake . -DCMAKE_INSTALL_PREFIX:PATH=/usr \
+	-DBUILD_SHARED_LIBS:BOOL=ON \
+	-DLIBRARY_OUTPUT_PATH:PATH=/usr/lib${LIBDIRSUFFIX} \
+	-DSYSCONFDIR:PATH=/etc \
+	$CONFIG_OPTIONS || exit 1
+
+make VERBOSE=1 || exit 1
+make install DESTDIR=$PKG || exit 1
+
+
+#######################################################################
+#Miscellenious tweaks and things outside a normal ./configure go here #
+#######################################################################
+
+
+
+mkdir -p $PKG/usr/doc/$NAME-$VERSION
+cp -a AUTHORS COPYING ChangeLog Credits MANIFEST README TODO \
+$PKG/usr/doc/$NAME-$VERSION
+cat $CWD/$NAME.SlackBuild > $PKG/usr/doc/$NAME-$VERSION/$NAME.SlackBuild
+
+#----------------------------------------------------------------------
+
+if [ -d $PKG/usr/share/man ];then
+mkdir -p $PKG/usr/man
+mv $PKG/usr/share/man/* $PKG/usr/man
+rm -rf $PKG/usr/share/man
+fi
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+
+if [ -d $PKG/usr/share/info ];then
+mkdir -p $PKG/usr/info
+mv $PKG/usr/share/info/* $PKG/usr/info
+rm -rf $PKG/usr/share/info
+fi 
+find $PKG/usr/info -type f -exec gzip -9 {} \;
+
+mkdir -p $PKG/install
+if [ -d $PKG/usr/info ];then
+cat >> $PKG/install/doinst.sh << EOF
+CWD=\$(pwd)
+cd usr/info
+if [ -f dir ];then
+    rm dir
+fi
+if [ -f dir.gz ];then
+    rm dir.gz
+fi
+for i in *.info.gz;do
+    install-info \$i dir
+done
+cd \$CWD
+EOF
+fi
+
+# Add schemas install to the doinst.sh if schemas are found.
+if [ -d $PKG/etc/gconf/schemas ];then
+# Make sure we have gconftool installed
+echo "if [ -x usr/bin/gconftool-2 ]; then" >> $PKG/install/doinst.sh
+( cd $PKG/etc/gconf/schemas
+for schema in *.schemas; do
+ # Install schemas
+ echo "GCONF_CONFIG_SOURCE=\"xml::etc/gconf/gconf.xml.defaults\" \
+   usr/bin/gconftool-2 --makefile-install-rule \
+   etc/gconf/schemas/${schema} >/dev/null 2>&1" \
+   >> $PKG/install/doinst.sh
+done;
+)
+# Finish off gconf block
+echo "fi" >> $PKG/install/doinst.sh
+fi
+
+
+#if there is a slack-desc in src dir use it
+if test -f $CWD/slack-desc; then
+cp $CWD/slack-desc $RELEASEDIR/slack-desc
+else
+# This creates the white space in front of "handy-ruler" in slack-desc below.
+
+LENGTH=$(expr length "$NAME")
+SPACES=0
+SHIM=""
+until [ "$SPACES" = "$LENGTH" ]; do
+SHIM="$SHIM "
+let SPACES=$SPACES+1
+done
+
+# Fill in the package summary between the () below.
+# Then package the description, License, Author and Website.
+# There may be no more then 11 $NAME: lines in a valid slack-desc.
+
+cat > $RELEASEDIR/slack-desc << EOF
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.  Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in.  You must
+# make exactly 11 lines for the formatting to be correct.  It's also
+# customary to leave one space after the ':'.
+
+$SHIM|-----handy-ruler------------------------------------------------------|
+$NAME: $NAME ()
+$NAME:
+$NAME: 
+$NAME: 
+$NAME: 
+$NAME: 
+$NAME:
+$NAME:
+$NAME: License: GPL
+$NAME: Authors: 
+$NAME: Website: 
+
+EOF
+fi
+cat >> $RELEASEDIR/slack-desc << EOF
+
+
+
+#----------------------------------------
+BUILDDATE: $(date)
+PACKAGER:  $VL_PACKAGER
+HOST:      $(uname -srm)
+DISTRO:    $(cat /etc/vector-version)
+CFLAGS:    $CFLAGS
+LDFLAGS:   $LDFLAGS
+CONFIGURE: $(awk "/\\$\ \.\/configure\ /" $TMP/$DIRNAME/config.log)
+
+EOF
+
+cat $RELEASEDIR/slack-desc > $PKG/install/slack-desc
+
+#STRIPPING
+#------------------------------------------------------------------------------------------------------------------
+cd $PKG
+echo " "
+echo "Stripping...."
+echo " "
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+#------------------------------------------------------------------------------------------------------------------
+
+
+#FINISH PACKAGE
+#--------------------------------------------------------------
+echo "Finding dependencies..."
+ADD="$ADDRB" EXCLUDE="$EXRB" requiredbuilder -v -y -s $RELEASEDIR $PKG
+echo "Creating package $NAME-$VERSION-$ARCH-$BUILD.txz"
+makepkg -l y -c n $RELEASEDIR/$NAME-$VERSION-$ARCH-$BUILD.txz
+
+cd $CWD
+echo "Cleaning up temp files..." && rm -rf $TMP
+echo "Package Complete"
+fi
+#--------------------------------------------------------------
+
+# vim: set tabstop=4 shiftwidth=4 foldmethod=marker : ##

File var/vabs/liblastfm/src/liblastfm-0.3.2-qmake.patch

  • Ignore whitespace
-diff -up mxcl-liblastfm-3539836/src/fingerprint/fingerprint.pro.qmake mxcl-liblastfm-3539836/src/fingerprint/fingerprint.pro
---- mxcl-liblastfm-3539836/src/fingerprint/fingerprint.pro.qmake	2010-09-11 09:16:54.000000000 -0500
-+++ mxcl-liblastfm-3539836/src/fingerprint/fingerprint.pro	2010-09-17 07:34:57.620666383 -0500
-@@ -6,7 +6,7 @@ include( _files.qmake )
- DEFINES += LASTFM_OHAI_QMAKE
- 
- INSTALLS = target
--target.path = /lib
-+target.path = /$$(LIB)
- 
- mac:CONFIG( app_bundle ) {
-     LIBS += libfftw3f.a libsamplerate.a -L/opt/local/include
-@@ -25,4 +25,4 @@ mac:CONFIG( app_bundle ) {
-         # precision, and I'm not sure if that matters or not
-         PKGCONFIG += fftw3f
-     }
--}
-\ No newline at end of file
-+}
-diff -up mxcl-liblastfm-3539836/src/lastfm.pro.qmake mxcl-liblastfm-3539836/src/lastfm.pro
---- mxcl-liblastfm-3539836/src/lastfm.pro.qmake	2010-09-11 09:16:54.000000000 -0500
-+++ mxcl-liblastfm-3539836/src/lastfm.pro	2010-09-17 07:34:41.153388690 -0500
-@@ -3,7 +3,7 @@ QT = core network xml
- include( _files.qmake )
- 
- INSTALLS = target
--target.path = /lib
-+target.path = /$$(LIB)
- 
- win32{
-     DEFINES += LASTFM_OHAI_QMAKE _ATL_DLL 

File var/vabs/liblastfm/src/liblastfm.SlackBuild

  • Ignore whitespace
-#!/usr/bin/bash
-# This script assumes it will be launched within "/NAME/VERSION/src" dir.
-# With all sources in "src" Your Vector Linux .txz package, slack-desc,
-# and slack-required will be found in "VERSION" dir. The extraction and
-# build will be in a temp dir created in "NAME" dir, and then removed on exit.
-# Comment out second to last line to keep this dir intact.
-#
-# This Template was compiled from the contributions of many users of the Vector
-# Linux forum at http://forum.vectorlinux.com and from tidbits collected 
-# from all over the internet. 
-#
-# Generated by sbbuilder-0.4.13, written by Rodrigo Bistolfi 
-# (rbistolfi) and Raimon Grau Cuscó (Kidd) for VectorLinux.
-#
-# Please put your name below if you add some original scripting lines.
-# AUTHORS = 
-
-NAME="liblastfm"            #Enter package Name!
-VERSION=${VERSION:-"1.0.3"}      #Enter package Version!
-VER=$(echo $VERSION|sed 's/-/_/') #this fixes - in version
-VL_PACKAGER=${VL_PACKAGER:-"Uelsk8s"}   #Enter your Name!
-LINK=${LINK:-"http://ftp.de.debian.org/debian/pool/main/libl/liblastfm/liblastfm_1.0.3.orig.tar.gz"}  #Enter URL for package here!
-#
-#http://ftp.de.debian.org/debian/pool/main/libl/liblastfm/liblastfm_0.4.0~git20090710.orig.tar.gz
-#SYSTEM VARIABLES
-#----------------------------------------------------------------------------
-BUILDNUM=${BUILDNUM:-"1"}
-VL_VERSION=${VL_VERSION:-"$(ls /var/log/packages/|grep vlconfig2|cut -d "-" -f4|cut -c 2-5)"}
-BUILD=${BUILD:-"$BUILDNUM""$VL_VERSION"}
-ARCH=${ARCH:-"$(uname -m)"}
-CONFIG_OPTIONS=${CONFIG_OPTIONS:-""}
-LDFLAG_OPTIONS=${LDFLAG_OPTIONS:-""}
-ADDRB=${ADDRB:-""} #Add deps that need to be added to the slack-required file here
-EXRB=${EXRB:-""} #Add deps that need to be excluded from the slack-required file here
-#----------------------------------------------------------------------------
-
-
-#SETUP PACKAGING ENVIRONMENT
-#--------------------------------------------
-CWD=$(pwd)
-cd ../
-RELEASEDIR=$(pwd)
-cd $CWD
-mkdir -p $RELEASEDIR/tmp
-TMP=$RELEASEDIR/tmp
-PKG=$TMP/package-$NAME
-#--------------------------------------------
-
-
-
-if [ $UID != 0 ]; then
-   echo "You are not authorized to run this script. Please login as root"
-   exit 1
-fi
-
-if [ ! -x /usr/bin/requiredbuilder ]; then
-   echo "Requiredbuilder not installed, or not executable."
-   exit 1
-fi
-
-if [ $VL_PACKAGER = "YOURNAME" ]; then
-   echo 'Who are you?
-   Please edit VL_PACKAGER=${VL_PACKAGER:-YOURNAME} in this script.
-   Change the word "YOURNAME" to your VectorLinux packager name.
-   You may also export VL_PACKAGER, or call this script with
-   VL_PACKAGER="YOUR NAME HERE"'
-   exit 1
-fi
-
-
-#CFLAGS SETUP
-#--------------------------------------------
-if [[ "$ARCH" = i?86 ]]; then
-  ARCH=i586
-  SLKCFLAGS="-O2 -march=i586 -mtune=i686"
-  CONFIGURE_TRIPLET="i486-slackware-linux"
-  LIBDIRSUFFIX=""
-elif [ "$ARCH" = "x86_64" ]; then
-  SLKCFLAGS="-O2 -fpic"
-  CONFIGURE_TRIPLET="x86_64-slackware-linux"
-  LIBDIRSUFFIX="64"
-elif [ "$ARCH" = "powerpc" ]; then
-  SLKCFLAGS="-O2"
-  CONFIGURE_TRIPLET="powerpc-vlocity-linux"
-  LIBDIRSUFFIX=""
-fi
-
-export CFLAGS="$SLKCFLAGS $CFLAG_OPTIONS"
-export CXXFLAGS=$CFLAGS
-export LDFLAGS="$LDFLAGS $LDFLAG_OPTIONS"
-#--------------------------------------------
-
-
-#GET THE SOURCE
-#--------------------------------------------
-for SRC in $(echo $LINK);do
-if [ ! -f $CWD/$(basename $SRC) ]
-then
-        wget --no-check-certificate -c $SRC
-fi
-done
-#--------------------------------------------
-
-
-rm -rf $PKG
-cd $TMP
-rm -rf $NAME-$VERSION
-
-
-#EXTRACT SOURCES
-#-----------------------------------------------------
-echo "Extracting source..."
-tar xvf $CWD/${NAME}_${VERSION}.orig.tar.* || exit 1
-#this moves whatever was extracted to the std dirname we are expecting
-mv * $NAME-$VERSION &> /dev/null 2>&1
-mkdir -p $PKG
-#-----------------------------------------------------
-
-
-cd $TMP/$NAME-$VERSION
-
-
-#PATCHES
-#-----------------------------------------------------
-# Put any Patches here *NOTE this only works if all 
-# your patches use the -p1 strip option!
-#-----------------------------------------------------
-for i in $CWD/patches/*;do
-  patch -p1 <$i
-  mkdir -p $PKG/usr/doc/$NAME-$VERSION/patches/
-  cp $i $PKG/usr/doc/$NAME-$VERSION/patches/
-done
-#-----------------------------------------------------
- 
- 
-
-#SET PERMISSIONS
-#-----------------------------------------
-echo "Setting permissions..."
-chown -R root:root .
-find . -perm 664 -exec chmod 644 {} \;
-find . -perm 777 -exec chmod 755 {} \;
-find . -perm 2777 -exec chmod 755 {} \;
-find . -perm 775 -exec chmod 755 {} \;
-find . -perm 2755 -exec chmod 755 {} \;
-find . -perm 774 -exec chmod 644 {} \;
-find . -perm 666 -exec chmod 644 {} \;
-find . -perm 600 -exec chmod 644 {} \;
-find . -perm 444 -exec chmod 644 {} \;
-find . -perm 400 -exec chmod 644 {} \;
-find . -perm 440 -exec chmod 644 {} \;
-find . -perm 511 -exec chmod 755 {} \;
-find . -perm 711 -exec chmod 755 {} \;
-find . -perm 555 -exec chmod 755 {} \;
-#-----------------------------------------
-
-
-
-#CONFIGURE & MAKE
-#----------------------------------------------------------------------
-# If you are building a KDE-related app, then change the following
-# arguments in the script below:
-# --prefix=$(kde-config -prefix) \
-# --sysconfdir=/etc/kde \
-#
-# Making these changes will ensure that your package will build in the
-# correct path and that it will work seamlessly within the KDE environment.
-#
-#-----------------------------------------------------------------------
-
-echo "Configuring source..."
-./configure \
-  --prefix /usr \
-  --no-strip \
-  --release \
-  --program-prefix="" \
-  --program-suffix="" \
-  --build=$CONFIGURE_TRIPLET \
-  $CONFIG_OPTIONS || exit 1
-
-make || exit 1
-
-make install DESTDIR=$PKG || exit 1
-
-mkdir -p $PKG/usr/lib$LIBDIRSUFFIX
-mv $PKG/usr/*.so* $PKG/usr/lib$LIBDIRSUFFIX/
-
-#######################################################################
-#Miscellenious tweaks and things outside a normal ./configure go here #
-#######################################################################
-
-
-
-mkdir -p $PKG/usr/doc/$NAME-$VERSION
-cp -a AUTHORS COPYING ChangeLog Credits MANIFEST README TODO \
-$PKG/usr/doc/$NAME-$VERSION
-cat $CWD/$NAME.SlackBuild > $PKG/usr/doc/$NAME-$VERSION/$NAME.SlackBuild
-
-#----------------------------------------------------------------------
-
-if [ -d $PKG/usr/share/man ];then
-mkdir -p $PKG/usr/man
-mv $PKG/usr/share/man/* $PKG/usr/man
-rm -rf $PKG/usr/share/man
-fi
-find $PKG/usr/man -type f -exec gzip -9 {} \;
-
-if [ -d $PKG/usr/share/info ];then
-mkdir -p $PKG/usr/info
-mv $PKG/usr/share/info/* $PKG/usr/info
-rm -rf $PKG/usr/share/info
-fi 
-find $PKG/usr/info -type f -exec gzip -9 {} \;
-
-mkdir -p $PKG/install
-if [ -d $PKG/usr/info ];then
-cat >> $PKG/install/doinst.sh << EOF
-CWD=\$(pwd)
-cd usr/info
-if [ -f dir ];then
-    rm dir
-fi
-if [ -f dir.gz ];then
-    rm dir.gz
-fi
-for i in *.info.gz;do
-    install-info \$i dir
-done
-cd \$CWD
-EOF
-fi
-
-# Add schemas install to the doinst.sh if schemas are found.
-if [ -d $PKG/etc/gconf/schemas ];then
-# Make sure we have gconftool installed
-echo "if [ -x usr/bin/gconftool-2 ]; then" >> $PKG/install/doinst.sh
-( cd $PKG/etc/gconf/schemas
-for schema in *.schemas; do
- # Install schemas
- echo "GCONF_CONFIG_SOURCE=\"xml::etc/gconf/gconf.xml.defaults\" \
-   usr/bin/gconftool-2 --makefile-install-rule \
-   etc/gconf/schemas/${schema} >/dev/null 2>&1" \
-   >> $PKG/install/doinst.sh
-done;
-)
-# Finish off gconf block
-echo "fi" >> $PKG/install/doinst.sh
-fi
-
-
-#if there is a slack-desc in src dir use it
-if test -f $CWD/slack-desc; then
-cp $CWD/slack-desc $RELEASEDIR/slack-desc
-else
-# This creates the white space in front of "handy-ruler" in slack-desc below.
-
-LENGTH=$(expr length "$NAME")
-SPACES=0
-SHIM=""
-until [ "$SPACES" = "$LENGTH" ]; do
-SHIM="$SHIM "
-let SPACES=$SPACES+1
-done
-
-# Fill in the package summary between the () below.
-# Then package the description, License, Author and Website.
-# There may be no more then 11 $NAME: lines in a valid slack-desc.
-
-cat > $RELEASEDIR/slack-desc << EOF
-# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description.  Line
-# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in.  You must
-# make exactly 11 lines for the formatting to be correct.  It's also
-# customary to leave one space after the ':'.
-
-$SHIM|-----handy-ruler------------------------------------------------------|
-$NAME: liblastfm (Libraries to integrate Last.fm services)
-$NAME:
-$NAME: Liblastfm is a collection of libraries to help you integrate Last.fm
-$NAME: services into your rich desktop software.
-$NAME:
-$NAME:
-$NAME:
-$NAME:
-$NAME: License: GPL
-$NAME: Authors:
-$NAME: Website: http://github.com/mxcl/liblastfm/tree/master
-
-EOF
-fi
-cat >> $RELEASEDIR/slack-desc << EOF
-
-
-
-#----------------------------------------
-BUILDDATE: $(date)
-PACKAGER:  $VL_PACKAGER
-HOST:      $(uname -srm)
-DISTRO:    $(cat /etc/vector-version)
-CFLAGS:    $CFLAGS
-LDFLAGS:   $LDFLAGS
-CONFIGURE: $(awk "/\.\/configure\ /" $TMP/$NAME-$VERSION/config.log)
-
-EOF
-
-cat $RELEASEDIR/slack-desc > $PKG/install/slack-desc
-
-#STRIPPING
-#------------------------------------------------------------------------------------------------------------------
-cd $PKG
-echo " "
-echo "Stripping...."
-echo " "
-find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-#------------------------------------------------------------------------------------------------------------------
-
-
-#FINISH PACKAGE
-#--------------------------------------------------------------
-echo "Finding dependencies..."
-ADD="$ADDRB" EXCLUDE="$EXRB" requiredbuilder -v -y -s $RELEASEDIR $PKG
-echo "Creating package $NAME-$VERSION-$ARCH-$BUILD.txz"
-makepkg -l y -c n $RELEASEDIR/$NAME-$VERSION-$ARCH-$BUILD.txz
-
-cd $CWD
-echo "Cleaning up temp files..." && rm -rf $TMP
-echo "Package Complete"
-#--------------------------------------------------------------
-
-# vim: set tabstop=4 shiftwidth=4 foldmethod=marker : ##